### Struct

# Gio DBusInterfaceInfo

since: 2.26

#### Description [src]

    struct GDBusInterfaceInfo {
      gint ref_count;
      gchar* name;
      GDBusMethodInfo** methods;
      GDBusSignalInfo** signals;
      GDBusPropertyInfo** properties;
      GDBusAnnotationInfo** annotations;
    }

Information about a D-Bus interface.

###### Structure members

`ref_count`

  The reference count or -1 if statically allocated.

`name`

  The name of the D-Bus interface, e.g. “org.freedesktop.DBus.Properties”.

`methods`

  A pointer to a `NULL`-terminated array of pointers to `GDBusMethodInfo` structures or `NULL` if there are no methods.

`signals`

  A pointer to a `NULL`-terminated array of pointers to `GDBusSignalInfo` structures or `NULL` if there are no signals.

`properties`

  A pointer to a `NULL`-terminated array of pointers to `GDBusPropertyInfo` structures or `NULL` if there are no properties.

`annotations`

  A pointer to a `NULL`-terminated array of pointers to `GDBusAnnotationInfo` structures or `NULL` if there are no annotations.

Available since: 2.26

#### Instance methods

###### g_dbus_interface_info_cache_build

Builds a lookup-cache to speed up g_dbus_interface_info_lookup_method(), `g_dbus_interface_info_lookup_signal()` and g_dbus_interface_info_lookup_property().

since: 2.30

###### g_dbus_interface_info_cache_release

Decrements the usage count for the cache for `info` built by `g_dbus_interface_info_cache_build()` (if any) and frees the resources used by the cache if the usage count drops to zero.

since: 2.30

###### g_dbus_interface_info_generate_xml

Appends an XML representation of `info` (and its children) to `string_builder`.

since: 2.26

###### g_dbus_interface_info_lookup_method

Looks up information about a method.

since: 2.26

###### g_dbus_interface_info_lookup_property

Looks up information about a property.

since: 2.26

###### g_dbus_interface_info_lookup_signal

Looks up information about a signal.

since: 2.26

###### g_dbus_interface_info_ref

If `info` is statically allocated does nothing. Otherwise increases the reference count.

since: 2.26

###### g_dbus_interface_info_unref

If `info` is statically allocated, does nothing. Otherwise decreases the reference count of `info`. When its reference count drops to 0, the memory used is freed.

since: 2.26